Package com.google.protobuf

## Class DescriptorProtos

- java.lang.Object
- - com.google.protobuf.DescriptorProtos

    public final class DescriptorProtos
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `DescriptorProtos.DescriptorProto` Protobuf type `google.protobuf.DescriptorProto`
`static interface` `DescriptorProtos.DescriptorProtoOrBuilder`
`static class` `DescriptorProtos.EnumDescriptorProto` Protobuf type `google.protobuf.EnumDescriptorProto`
`static interface` `DescriptorProtos.EnumDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.EnumOptions` Protobuf type `google.protobuf.EnumOptions`
`static interface` `DescriptorProtos.EnumOptionsOrBuilder`
`static class` `DescriptorProtos.EnumValueDescriptorProto` Protobuf type `google.protobuf.EnumValueDescriptorProto`
`static interface` `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.EnumValueOptions` Protobuf type `google.protobuf.EnumValueOptions`
`static interface` `DescriptorProtos.EnumValueOptionsOrBuilder`
`static class` `DescriptorProtos.FieldDescriptorProto` Protobuf type `google.protobuf.FieldDescriptorProto`
`static interface` `DescriptorProtos.FieldDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.FieldOptions` Protobuf type `google.protobuf.FieldOptions`
`static interface` `DescriptorProtos.FieldOptionsOrBuilder`
`static class` `DescriptorProtos.FileDescriptorProto` Protobuf type `google.protobuf.FileDescriptorProto`
`static interface` `DescriptorProtos.FileDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.FileDescriptorSet` Protobuf type `google.protobuf.FileDescriptorSet`
`static interface` `DescriptorProtos.FileDescriptorSetOrBuilder`
`static class` `DescriptorProtos.FileOptions` Protobuf type `google.protobuf.FileOptions`
`static interface` `DescriptorProtos.FileOptionsOrBuilder`
`static class` `DescriptorProtos.MessageOptions` Protobuf type `google.protobuf.MessageOptions`
`static interface` `DescriptorProtos.MessageOptionsOrBuilder`
`static class` `DescriptorProtos.MethodDescriptorProto` Protobuf type `google.protobuf.MethodDescriptorProto`
`static interface` `DescriptorProtos.MethodDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.MethodOptions` Protobuf type `google.protobuf.MethodOptions`
`static interface` `DescriptorProtos.MethodOptionsOrBuilder`
`static class` `DescriptorProtos.OneofDescriptorProto` Protobuf type `google.protobuf.OneofDescriptorProto`
`static interface` `DescriptorProtos.OneofDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.ServiceDescriptorProto` Protobuf type `google.protobuf.ServiceDescriptorProto`
`static interface` `DescriptorProtos.ServiceDescriptorProtoOrBuilder`
`static class` `DescriptorProtos.ServiceOptions` Protobuf type `google.protobuf.ServiceOptions`
`static interface` `DescriptorProtos.ServiceOptionsOrBuilder`
`static class` `DescriptorProtos.SourceCodeInfo` Protobuf type `google.protobuf.SourceCodeInfo`
`static interface` `DescriptorProtos.SourceCodeInfoOrBuilder`
`static class` `DescriptorProtos.UninterpretedOption` Protobuf type `google.protobuf.UninterpretedOption`
`static interface` `DescriptorProtos.UninterpretedOptionOrBuilder`

### Method Summary

All Methods Static Methods Concrete Methods
`static Descriptors.FileDescriptor` `getDescriptor()`
`static void` `registerAllExtensions​(ExtensionRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### registerAllExtensions

    public static void registerAllExtensions​(ExtensionRegistry registry)

#### getDescriptor

    public static Descriptors.FileDescriptor getDescriptor()